<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');

$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=210;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
            $limiteLinhasPorPagina=30;
				
            //esta linha mede quantos itens eu defini no array e é basica para imperessao
            $limite=sizeof($vetorIndices);
			$pdf->SetFont('Arial','B',8);	
            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
            $cota1=$cota1+30;
			$pdf->setXY($margemEsquerda,$cota1-7);
			$anox=$anoCorrente;
			if($preenchimento=="branco"):
               $anox="";
			endif;
			$pdf->Cell(50,5,utf8_decode('Ano:'.$anox),1,0,'L',1);//lab nome

			
			
			

	
            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			echo $finalidade;
			
			
			$campos=" select fic_amostra, fic_lote,ctv_nome, prd_apelido, prd_renasem, amt_apelido, amt_renasem,fic_categoria,fic_safra,fic_peneira,fic_dt_entrada,fic_repre_unid,fic_id,esp_nome,fic_dt_amostragem,fic_amostra_previa,fic_observacao ";
			   $generica->extras_select =$campos ."  from  ficha,cultivar,remetente,amostrador,especies  where fic_funcao='MONITORAR QUALIDADE' AND fic_amostra>='".$inicio."' &&   fic_amostra<='".$final."'            && prd_id=fic_produtor   && amt_id=fic_amostrador && fic_cultivar=ctv_id   && ctv_especie=esp_id  and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo." order by fic_amostra";

        
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
			    //print str_pad($input, 10, "-=", STR_PAD_LEFT);  // produz "-=-=-Alien"
                $matrizConteudo[$contador][1]=str_pad($resgenerica->fic_amostra, 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($resgenerica->fic_dt_entrada));
                $matrizConteudo[$contador][2]=$resgenerica->ctv_nome;//
			    $matrizConteudo[$contador][3]=$resgenerica->fic_lote;
			    $matrizConteudo[$contador][4]=$resgenerica->fic_repre_unid;//
			    $matrizConteudo[$contador][9]=$resgenerica->fic_observacao;//
                $amostraLong=$resgenerica->fic_id;
				//data germinacao(vigor)EAC
				$vigorEAC="-N-";
				$dataEAC="-N-";
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='FRI' AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
				while ($resRean = $rean->retornaDados()):
                    $dataEAC=date("d/m/y",strtotime($resRean->rea_datageralteste));
                    $vigorEAC=$resRean->rea_v1;//tratamento
                endwhile;
				//germinacao
				$germinacao="";
				$dataGerm="";
				$rean = new rean1();
				$rean->extras_select =" where  rea_teste='GERM' and rea_finalizada='S' AND rea_ficha=".$amostraLong;
                $rean->selecionaTudo($rean);
				while ($resRean = $rean->retornaDados()):
                    $dataGerm=date("d/m/y",strtotime($resRean->rea_datageralteste));
                    $germinacao=$resRean->rea_v1;//tratamento
                    //so vai lancar dados se realment estiver finalizada
				    $matrizConteudo[$contador][5]=$dataGerm;//
				    $matrizConteudo[$contador][6]=$germinacao;//
				    $matrizConteudo[$contador][7]=$dataEAC;//
				    $matrizConteudo[$contador][8]=$vigorEAC;//
				    $contador++;
                endwhile;
                
			endwhile; 
			$totalPaginas=ceil($contador/$limiteLinhasPorPagina);
			
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
			
			
//agora imprime
			$matrizLargura[1]=13;$matrizTitulo[1]='Amostra';
			$matrizLargura[2]=35; $matrizTitulo[2]='Produto';
			$matrizLargura[3]=25;$matrizTitulo[3]='Lote';
			$matrizLargura[4]=30; $matrizTitulo[4]='Representatividade';
			$matrizLargura[5]=20; $matrizTitulo[5]='Data Germ';
			$matrizLargura[6]=20; $matrizTitulo[6]='% Germinação';
			$matrizLargura[7]=20; $matrizTitulo[7]='Data Vigor';
		    $matrizLargura[8]=15; $matrizTitulo[8]='%Vigor';//renasem do requerente
			$matrizLargura[9]=100; $matrizTitulo[9]='Observações';
            $vetorIndices=array(1,2,3,4,5,6,7,8,9);//define as colunas que vou ter e  as posicoes delas
            $limite=9;
			



			$cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',7);	
			$contadorLinhasPagina=0;
			$numeroPagina=0;
			
				//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=20;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
				 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';		
					
				
			for($i=0;$i<$contador;$i++):
			    //vai imprimir o cabecalho sempre que for zero
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
                    $numeroPagina++;
						 //cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,3,24,12,'JPG');
					$cota1=5;			
					$pdf->SetFont('Arial','B',10);
					$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,'RG-LAS-017',0,1,'C');
	     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode('Controle Interno Monitoramento da Qualidade Sementes'),0,1,'C');//lab nome
					$pdf->SetFont('Arial','',8);
					$posicaoDireita=189;
					$pdf->setXY($posicaoDireita,$cota1);$pdf->Cell(100,5,utf8_decode('Edição:09'),0,1,'R');
					$pdf->setXY($posicaoDireita,$cota1+5);$pdf->Cell(100,5,utf8_decode('Data de aprovação:05/10/2015'),0,1,'R');
					$cota1=25;
					$pdf->setXY($margemEsquerda,$cota1);
		            for($j=1;$j<=$limite;$j++):
						$indice=$vetorIndices[$j-1]; //O PRIMEIRO ITEM DO ARRAY É ZERO, CUIDAR COM ISSO
						$largura=$matrizLargura[$indice];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$indice];
						$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
					    $pdf->Cell($largura,5,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
			    endif;//testa se contadorLinhasPagina =0 para mandar imprimir cabecalho
				
				
				
				
				
				
                $file=1;  
			    if($i % 2 == 0):
				    $file=0;
			    endif;		
                $cota1+=4.5;
				$pdf->setXY($margemEsquerda,$cota1);
				$tabela .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
				    $indice=$vetorIndices[$j-1]; 
					$largura=$matrizLargura[$indice];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$indice];
					$tabela .= '<td>'.$texto.'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
			    $contadorLinhasPagina++;
				if($contadorLinhasPagina==$limiteLinhasPorPagina)://colocar 30 depois
				   $contadorLinhasPagina=0;
				   //SETOR DO RODAPE
					$cotaR1=190;
					$pdf->SetFont('Arial','',6);		
					$pdf->setXY($margemEsquerda,$cotaR1);
				    //SETOR DO RODAPE
					$cota1=190;
					$pdf->SetFont('Arial','',6);		
					$pdf->setXY($margemEsquerda,$cota1);
				    $pdf->Cell(90,5,utf8_decode('Elaborado por: Silas'),0,0,'L');
				    $pdf->Cell(90,5,utf8_decode('Página: '.$numeroPagina.'/'.$totalPaginas),0,0,'C');
				    $pdf->Cell(90,5,utf8_decode('Aprovado por:Juliana Trinca'),0,0,'R');
					$pdf->SetFont('Arial','',8);
				endif;
			endfor;//for que varia de 1 ate o total de amostras
		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);


					//SETOR DO RODAPE
					$cota1=190;
					$pdf->SetFont('Arial','',6);		
					$pdf->setXY($margemEsquerda,$cota1);
				    $pdf->Cell(90,5,utf8_decode('Elaborado por: Silas'),0,0,'L');
				    $pdf->Cell(90,5,utf8_decode('Página: '.$numeroPagina.'/'.$totalPaginas),0,0,'C');
				    $pdf->Cell(90,5,utf8_decode('Aprovado por:Juliana Trinca'),0,0,'R');

			
			
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
